Scilab Function
Last update : 00/00/0000

savewave - save data into a sound wav file.

### Calling Sequence

  `savewave(filename,x [, rate ]);`

### Parameters

- `filename`: a string. The path of the output wav file
- `x`: vector
- `rate`: a scalar. 22050 is the default value.

### Description

save x into a wav sound file. you can transform other sound files into wav file with the `sox` program.

### Examples

    // At first we create 0.5 seconds of sound parameters.
    t=soundsec(0.5);
    // Then we generate the sound.
    s=sin(440*t)+sin(220*t)/2+sin(880*t)/2;
    [nr,nc]=size(t);
    s(nc/2:nc)=sin(330*t(nc/2:nc));
    savewave(TMPDIR+'/foo.wav',s);

### See Also

`loadwave`, `analyze`, `mapsound`,